# Meters A billing meter is a resource that allows you to track usage of a particular event. For example, you might create a billing meter to track the number of API calls made by a particular user. You can then attach the billing meter to a price and attach the price to a subscription to charge the user for the number of API calls they make. Related guide: [Usage based billing](https://docs.stripe.com/billing/subscriptions/usage-based.md) ## Endpoints ### Create a billing meter - [POST /v1/billing/meters](https://docs.stripe.com/api/billing/meter/create.md) ### Update a billing meter - [POST /v1/billing/meters/:id](https://docs.stripe.com/api/billing/meter/update.md) ### Retrieve a billing meter - [GET /v1/billing/meters/:id](https://docs.stripe.com/api/billing/meter/retrieve.md) ### List billing meters - [GET /v1/billing/meters](https://docs.stripe.com/api/billing/meter/list.md) ### Deactivate a billing meter - [POST /v1/billing/meters/:id/deactivate](https://docs.stripe.com/api/billing/meter/deactivate.md) ### Reactivate a billing meter - [POST /v1/billing/meters/:id/reactivate](https://docs.stripe.com/api/billing/meter/reactivate.md)